@echo off
rem ======================================================================
::
::  WRAPPER FOR BGINFO
::
::  this script starts custom tests - its output must be redirected
::  to a file. The output file should be added as a custom field.
::  to display warnings and errors in its own color you can write
::  into several files.
::  All scripts in a plugin directory named [whatever]_warning.bat
::  and [whatever]_error.bat will be executed with call statement
::  (dont use exit in them).
::
rem ----------------------------------------------------------------------
::  2006-11-29  AHA  erste Zeilen...
::  http://www.axel-hahn.de/axel/page_compi/bat_bginfo.htm
rem ======================================================================

rem ----------------------------------------------------------------------
::  CONFIG
rem ----------------------------------------------------------------------

	set file4Warnings="%appdata%\bginfo\bginfo_custom_warnings.txt"
	set file4Errors="%appdata%\bginfo\bginfo_custom_errors.txt"
	set scriptdir=%~dp0%
	set plugindir=%scriptdir%\plugin-scripts
	set bgifile=%scriptdir%\set004.bgi


rem ----------------------------------------------------------------------
::  MAIN
rem ----------------------------------------------------------------------

	echo.
	echo === Wrapper for BGINFO ====
	echo.

	:: -- delete the output files first
	del %file4Warnings% %file4Errors% >nul 2>&1

	echo -- create list with warnings ...
	for /F %%a in ('dir /B /S /O:N %plugindir%\*_warning.bat') do ( echo ..... %%a && call %%a >>%file4Warnings% )
	rem type "%file4Warnings%"

	echo.
	echo -- create list with errors ...
	for /F %%a in ('dir /B /S /O:N %plugindir%\*_error.bat') do ( echo ..... %%a && call %%a >>%file4Errors% )
	rem type "%file4Errors%"

	echo.
	echo -- starting bginfo ...
	%scriptdir%\Bginfo.exe /timer:0  /iq %bgifile%
	rem %WINDIR%\system32\RunDll32.exe USER32.DLL,UpdatePerUserSystemParameters ,1 ,True

	echo.
	echo done.
	ping -n 3 localhost >nul

rem ======================================================================
::  EOF
rem ====================================================================== 
